"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chainIsOPStack = exports.chainIsTestnet = exports.chainIsProd = exports.getNativeTokenSymbol = exports.getNetworkName = void 0;
var PublicNetworks_1 = require("@uma/common/dist/PublicNetworks");
function getNetworkName(networkId) {
    try {
        var networkName = PublicNetworks_1.PublicNetworks[Number(networkId)].name;
        return networkName.charAt(0).toUpperCase() + networkName.slice(1);
    }
    catch (error) {
        if (Number(networkId) == 666) {
            return "Hardhat1";
        }
        if (Number(networkId) == 1337) {
            return "Hardhat2";
        }
        if (Number(networkId) == 421613) {
            return "ArbitrumGoerli";
        }
        if (Number(networkId) == 324) {
            return "ZkSync";
        }
        if (Number(networkId) == 280) {
            return "ZkSync-Goerli";
        }
        if (Number(networkId) == 8453) {
            return "Base";
        }
        if (Number(networkId) == 84531) {
            return "BaseGoerli";
        }
        return "unknown";
    }
}
exports.getNetworkName = getNetworkName;
function getNativeTokenSymbol(chainId) {
    if (chainId.toString() === "137" || chainId.toString() === "80001") {
        return "MATIC";
    }
    return "ETH";
}
exports.getNativeTokenSymbol = getNativeTokenSymbol;
function chainIsProd(chainId) {
    return [1, 10, 137, 324, 8453, 42161].includes(chainId);
}
exports.chainIsProd = chainIsProd;
function chainIsTestnet(chainId) {
    return [5, 280, 420, 80001, 84531, 421613].includes(chainId);
}
exports.chainIsTestnet = chainIsTestnet;
function chainIsOPStack(chainId) {
    return [10, 8453, 69, 420, 84531].includes(chainId);
}
exports.chainIsOPStack = chainIsOPStack;
//# sourceMappingURL=NetworkUtils.js.map